import { HandlerMethodParameterDecorator } from "ts-api-decorators/dist/transformer/HandlerMethodParameterDecorator";
export declare abstract class AzureFunctionParams {
    static readonly TransportTypeRequestParam = "request";
    static readonly TransportTypeResponseParam = "tsapiazfreturnvaldonotuseasyourreturnvalue";
    static AzFuncApiRequestParam(): ParameterDecorator;
    static AzFuncApiResponseParam(): ParameterDecorator;
}
export declare const AzFuncParamDecorator: (param: TimerHandler) => HandlerMethodParameterDecorator;
export declare const AzFuncApiRequestParam: typeof AzureFunctionParams.AzFuncApiRequestParam;
export declare const AzFuncApiResponseParam: typeof AzureFunctionParams.AzFuncApiResponseParam;
