"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
const ts_api_decorators_1 = require("ts-api-decorators");
const InternalTypes_1 = require("ts-api-decorators/dist/apiManagement/InternalTypes");
const DecoratorUtil_1 = require("ts-api-decorators/dist/decorators/DecoratorUtil");
const HandlerMethodParameterDecorator_1 = require("ts-api-decorators/dist/transformer/HandlerMethodParameterDecorator");
const AzFuncBindings_1 = require("../metadata/AzFuncBindings");
const AzFuncMetadata_1 = require("../metadata/AzFuncMetadata");
class AzureFunctionParams {
    static AzFuncApiRequestParam(a) {
        return (target, propertyKey, parameterIndex) => {
            const args = a;
            ts_api_decorators_1.ManagedApiInternal.AddApiHandlerParamMetadataToObject({
                args,
                parameterIndex,
                propertyKey,
                type: 6 /* Transport */,
                transportTypeId: AzureFunctionParams.TransportTypeRequestParam,
            }, target.constructor);
        };
    }
    static AzFuncApiResponseParam(a) {
        return (target, propertyKey, parameterIndex) => {
            const args = a;
            ts_api_decorators_1.ManagedApiInternal.AddApiHandlerParamMetadataToObject({
                args,
                parameterIndex,
                propertyKey,
                type: 6 /* Transport */,
                transportTypeId: AzureFunctionParams.TransportTypeResponseParam,
            }, target.constructor);
        };
    }
}
AzureFunctionParams.TransportTypeRequestParam = 'request';
AzureFunctionParams.TransportTypeResponseParam = AzFuncBindings_1.AzFuncBindingNameReturn;
__decorate([
    DecoratorUtil_1.ApiDecorator(HandlerMethodParameterDecorator_1.HandlerMethodParameterDecorator, {
        indexTs: __filename,
        dependencies: [DecoratorUtil_1.DecoratorParentNameDependency(ts_api_decorators_1.Api.name)],
        parameterType: 6 /* Transport */,
        parameterTypeRestrictions: [
            InternalTypes_1.InternalTypeUtil.TypeAnyObject,
        ],
        provider: AzFuncMetadata_1.AzFuncMetadata.Component,
        arguments: [],
        transportTypeId: AzureFunctionParams.TransportTypeRequestParam,
    })
], AzureFunctionParams, "AzFuncApiRequestParam", null);
__decorate([
    DecoratorUtil_1.ApiDecorator(HandlerMethodParameterDecorator_1.HandlerMethodParameterDecorator, {
        indexTs: __filename,
        dependencies: [DecoratorUtil_1.DecoratorParentNameDependency(ts_api_decorators_1.Api.name)],
        parameterType: 6 /* Transport */,
        parameterTypeRestrictions: [
            InternalTypes_1.InternalTypeUtil.TypeAnyObject,
        ],
        provider: AzFuncMetadata_1.AzFuncMetadata.Component,
        arguments: [],
        transportTypeId: AzureFunctionParams.TransportTypeResponseParam
    })
], AzureFunctionParams, "AzFuncApiResponseParam", null);
exports.AzureFunctionParams = AzureFunctionParams;
exports.AzFuncParamDecorator = DecoratorUtil_1.ApiMethodDecoratorGetFunction(AzureFunctionParams);
exports.AzFuncApiRequestParam = AzureFunctionParams.AzFuncApiRequestParam;
exports.AzFuncApiResponseParam = AzureFunctionParams.AzFuncApiResponseParam;
//# sourceMappingURL=AzureFunctions.js.map