"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const InternalTypes_1 = require("ts-api-decorators/dist/apiManagement/InternalTypes");
const AzFuncMetadata_1 = require("../../../metadata/AzFuncMetadata");
class TimerArgumentExtractors {
}
exports.TimerArgumentExtractors = TimerArgumentExtractors;
TimerArgumentExtractors.ScheduleArgument = {
    type: InternalTypes_1.InternalTypeUtil.TypeString,
    metadataExtractor: (args) => (Object.assign(Object.assign({}, AzFuncMetadata_1.AzFuncMetadata.TimerSchedule), { value: args.transformContext.typeSerializer.compileExpressionToStringConstant(args.argumentExpression) })),
};
TimerArgumentExtractors.RunOnStartupArgument = {
    type: InternalTypes_1.InternalTypeUtil.TypeBoolean,
    optional: true,
    metadataExtractor: (args) => (Object.assign(Object.assign({}, AzFuncMetadata_1.AzFuncMetadata.TimerRunOnStartup), { value: args.transformContext.typeSerializer.compileExpressionToBooleanConstant(args.argumentExpression) })),
};
TimerArgumentExtractors.UseMonitorArgument = {
    type: InternalTypes_1.InternalTypeUtil.TypeBoolean,
    optional: true,
    metadataExtractor: (args) => (Object.assign(Object.assign({}, AzFuncMetadata_1.AzFuncMetadata.TimerUseMonitor), { value: args.transformContext.typeSerializer.compileExpressionToBooleanConstant(args.argumentExpression) })),
};
//# sourceMappingURL=ArgumentExtractors.js.map