import { ApiMethodDecoratorReturnType } from "ts-api-decorators";
import { ApiMethodReturnType } from "ts-api-decorators/dist/apiManagement/ApiDefinition";
import { HandlerMethodParameterDecorator } from "ts-api-decorators/dist/transformer/HandlerMethodParameterDecorator";
import { HandlerMethodDecorator } from "ts-api-decorators/dist/transformer/HandlerMethodDecorator";
declare abstract class TimerTriggerMethodDecorators {
    static AzFuncTimerTrigger<T extends ApiMethodReturnType>(schedule: string, runOnStartup?: boolean, useMonitor?: boolean): ApiMethodDecoratorReturnType<T>;
}
declare abstract class TimerTriggerParams {
    static readonly TransportTypeTimerParam = "timer";
    static AzFuncTimerParam(): ParameterDecorator;
}
export declare const AzFuncTimerMethodDecorator: (param: TimerHandler) => HandlerMethodDecorator;
export declare const AzFuncTimerParamDecorator: (param: TimerHandler) => HandlerMethodParameterDecorator;
export declare const AzFuncTimerTrigger: typeof TimerTriggerMethodDecorators.AzFuncTimerTrigger;
export declare const AzFuncTimerParam: typeof TimerTriggerParams.AzFuncTimerParam;
export {};
