import { IBindingTrigger, IBindingParam, IBindingOutput } from "./Bindings";
import { ApiMethod, IApiInvocationParams } from "ts-api-decorators";
import { IAzureFunctionManagedApiContext } from "../..";
import { Context } from "@azure/functions";
export declare class BlobStorageBindingTriggerFactory {
    static GetTriggerBinding(): IBindingTrigger;
    private static getTriggerParamsForRoutes;
    static GetInvocationParams(context: Context): {
        method: ApiMethod;
        invocationParams: IApiInvocationParams<IAzureFunctionManagedApiContext>;
    };
    private static GetPathParamsFromBlobBindingData;
}
export declare class BlobStorageBindingParamFactory {
    static GetParamBindings(): IBindingParam[];
    private static getTriggerParamsForRoutes;
}
export declare class BlobStorageOutputBindingFactory {
    static GetOutputBindings(): IBindingOutput[];
}
