"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class NArgReducer {
    constructor() {
        this.reduced = new Map();
        this.mapOrSet = {
            map: new Map(),
        };
    }
    add(args, value) {
        this.getSet(args, this.mapOrSet).push(value);
    }
    getReduced() {
        return new Map(this.reduced);
    }
    // public getReduced(): Map<Args, T[]> {
    // 	const result = new Map<Args, T[]>();
    // 	for (const [args, tArray] of this._getReduced(this.reduced)) {
    // 		result.set(args, tArray);
    // 	}
    // 	return result;
    // }
    // private _getReduced(reduced: MapOrSet<Args, T>): ([Args, T[]])[] {
    // 	let result: ([Args, T[]])[][] = [[]];
    // 	if (reduced.args) {
    // 		result[0].push([reduced.args, reduced.set]);
    // 	}
    // 	if (this.reduced.map) {
    // 		for (const ms of this.reduced.map) {
    // 		}
    // 	}
    // 	return result.reduce()
    // }
    getSet(args, current, index = 0) {
        if (args.length === index) {
            if (!current.args) {
                current.args = args;
                this.reduced.set(args, []);
                // current.set = [];
            }
            return this.reduced.get(current.args);
        }
        if (!current.map) {
            current.map = new Map();
        }
        const currentArg = args[index];
        if (!current.map.has(currentArg)) {
            current.map.set(currentArg, {});
        }
        return this.getSet(args, current.map.get(currentArg), index + 1);
    }
}
exports.NArgReducer = NArgReducer;
//# sourceMappingURL=NArgReducer.js.map