"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const InternalTypes_1 = require("ts-api-decorators/dist/apiManagement/InternalTypes");
const AzFuncMetadata_1 = require("../../../metadata/AzFuncMetadata");
const TransformerMetadata_1 = require("ts-api-decorators/dist/transformer/TransformerMetadata");
class BlobStorageArgumentExtractors {
}
exports.BlobStorageArgumentExtractors = BlobStorageArgumentExtractors;
BlobStorageArgumentExtractors.PathArgument = {
    type: InternalTypes_1.InternalTypeUtil.TypeString,
    metadataExtractor: (args) => (Object.assign(Object.assign({}, TransformerMetadata_1.BuiltinMetadata.Route), { value: args.transformContext.typeSerializer.compileExpressionToStringConstant(args.argumentExpression) })),
};
BlobStorageArgumentExtractors.ConnectionArgument = {
    type: InternalTypes_1.InternalTypeUtil.TypeString,
    optional: true,
    metadataExtractor: (args) => (Object.assign(Object.assign({}, AzFuncMetadata_1.AzFuncMetadata.BlobStorageConnection), { value: args.transformContext.typeSerializer.compileExpressionToStringConstant(args.argumentExpression) })),
};
//# sourceMappingURL=ArgumentExtractors.js.map