import { IBindingTrigger } from "./Bindings";
import { ApiMethod, IApiInvocationParams } from "ts-api-decorators";
import { IAzureFunctionManagedApiContext } from "../..";
import { Context } from "@azure/functions";
export declare class HttpBindingTriggerFactory {
    static GetBindingForMethod(method: ApiMethod): IBindingTrigger;
    private static GetMethodForRequestContext;
    static GetInvocationParams(context: Context): {
        method: ApiMethod;
        invocationParams: IApiInvocationParams<IAzureFunctionManagedApiContext>;
    };
    private static getHeader;
    static RewriteRouteForAzureFunction(route: string): string;
}
