import { IBindingTrigger, IBindingParam } from "./Bindings";
import { ApiMethod, IApiInvocationParams } from "ts-api-decorators";
import { IAzureFunctionManagedApiContext } from "../..";
import { Context } from "@azure/functions";
export declare class TimerBindingTriggerFactory {
    static GetBinding(): IBindingTrigger;
    static GetParamBinding(): IBindingParam;
    private static getTriggerParamsForRoutes;
    static GetInvocationParams(context: Context): {
        method: ApiMethod;
        invocationParams: IApiInvocationParams<IAzureFunctionManagedApiContext>;
    };
}
