import { IGenerator, OutputFileGeneratorFunc } from 'ts-api-decorators/dist/generators/IGenerator';
import { IHandlerTreeNode } from 'ts-api-decorators/dist/transformer/HandlerTree';
export declare class FunctionExtensionJsonFileGenerator implements IGenerator {
    static readonly FILE_NAME = "extensions.json";
    private static readonly JSON_PRETTY_PRINT_SPACE;
    forTree(routes: IHandlerTreeNode[]): OutputFileGeneratorFunc;
    private generateExtensionJson;
    private getExtensionsForRoutes;
    private addExtensionIds;
    getFilename(): string;
}
